/*	Renegade Scripts.dll
	Example Plugin Code
	Copyright 2007 Whitedragon(MDB), Jonathan Wilson

	This file is part of the Renegade scripts.dll
	The Renegade scripts.dll is free software; you can redistribute it and/or modify it under
	the terms of the GNU General Public License as published by the Free
	Software Foundation; either version 2, or (at your option) any later
	version. See the file COPYING for more details.
	In addition, an exemption is given to allow Run Time Dynamic Linking of this code with any closed source module that does not contain code covered by this licence.
	Only the source code to the module(s) containing the licenced code has to be released.
*/

#define PluginName "Reborn's Base defence Plug-in"
#define PluginVersion "1.2"

void Plugin_Load();
void Plugin_Unload();

#include "gmsettingsclass.h"

struct BDSettingsStruct : public virtual SettingsLoader {
	BDSettingsStruct(const char *ININame) : SettingsLoader(ININame) {
		ToggleBD = false;
	}

	virtual void Load();

	bool ToggleBD;

	Vector3 GDI_GT_Pos[3];
	Vector3 GDI_GT_Rebuy_Pos[3];

	Vector3 Nod_Turret_Pos[3];
	Vector3 Nod_Turret_Rebuy_Pos[3];
};



class KAK_Rebuy_BD : public ScriptImpClass {
	void Killed(GameObject *obj, GameObject *shooter);
};

class KAK_Rebuy_Box : public ScriptImpClass {
	void Custom(GameObject *obj, int message, int param, GameObject *sender);
	void Timer_Expired(GameObject *obj, int number);
};

